<?php

// Version vom 02.09.2013

class KtoPruef {
  private $COM;
  public function __construct() {
    if (substr(PHP_OS, 0, 3)=='WIN')
      $this->COM=new COM('Bank.KtoPruef');
  }
  public function __destruct() {
  }

  // Fehlerbehandlung

  public function GetErrorMessage($aErrorCode) {
    if (isset($this->COM))
      return $this->COM->GetErrorMessage($aErrorCode);
    else
      return KtoPruefGetErrorMessage($aErrorCode);
  }
  public function GetLastError() {
    if (isset($this->COM))
      return $this->COM->GetLastError();
    else
      return KtoPruefGetLastError();
  }

  // KtoPruef

  public function GetVersion() {
    if (isset($this->COM))
      return $this->COM->GetVersion();
    else
      return KtoPruefGetVersion();
  }
  public function GetVersionExtended() {
    if (isset($this->COM))
      return $this->COM->GetVersionExtended();
    else
      return KtoPruefGetVersionExtended();
  }
  public function TestBlzKto($aBlz, $aKto) {
    if (isset($this->COM))
      return $this->COM->TestBlzKto($aBlz, $aKto);
    else
      return KtoPruefTestBlzKto($aBlz, $aKto);
  }
  public function TestIban($aIban) {
    if (isset($this->COM))
      return $this->COM->TestIban($aIban);
    else
      return KtoPruefTestIban($aIban);
  }
  public function TestCC($aCC) {
    if (isset($this->COM))
      return $this->COM->TestCC($aCC);
    else
      return KtoPruefTestCC($aCC);
  }
  public function GetIban($aBlz, $aKto, $aSpaceFlag) {
    if (isset($this->COM))
      return $this->COM->GetIban($aBlz, $aKto, $aSpaceFlag);
    else
      return KtoPruefGetIban($aBlz, $aKto, $aSpaceFlag);
  }
  public function GetBic($aBlz) {
    if (isset($this->COM))
      return $this->COM->GetBic($aBlz);
    else
      return KtoPruefGetBic($aBlz);
  }
  public function GetBankName58($aBlz) {
    if (isset($this->COM))
      return $this->COM->GetBankName58($aBlz);
    else
      return KtoPruefGetBankName58($aBlz);
  }
  public function GetBankName20($aBlz) {
    if (isset($this->COM))
      return $this->COM->GetBankName20($aBlz);
    else
      return KtoPruefGetBankName20($aBlz);
  }
  public function GetBankName27($aBlz) {
    if (isset($this->COM))
      return $this->COM->GetBankName27($aBlz);
    else
      return KtoPruefGetBankName27($aBlz);
  }
  public function GetBankPlz($aBlz) {
    if (isset($this->COM))
      return $this->COM->GetBankPlz($aBlz);
    else
      return KtoPruefGetBankPlz($aBlz);
  }
  public function GetBankOrt($aBlz) {
    if (isset($this->COM))
      return $this->COM->GetBankOrt($aBlz);
    else
      return KtoPruefGetBankOrt($aBlz);
  }
  public function GetFirstBank() {
    if (isset($this->COM))
      return $this->COM->GetFirstBank();
    else
      return KtoPruefGetFirstBank();
  }
  public function GetNextBank() {
    if (isset($this->COM))
      return $this->COM->GetNextBank();
    else
      return KtoPruefGetNextBank();
  }
  public function GetFirstMatch($aSearchString, $aFragmentsFlag) {
    if (isset($this->COM))
      return $this->COM->GetFirstMatch($aSearchString, $aFragmentsFlag);
    else
      return KtoPruefGetFirstMatch($aSearchString, $aFragmentsFlag);
  }
  public function GetNextMatch() {
    if (isset($this->COM))
      return $this->COM->GetNextMatch();
    else
      return KtoPruefGetNextMatch();
  }

}

?>
